/*
 * File: parsing.h
 * Author: Ingo Schroeder
 * Purpose: Header file for parser
 * Birth: 10/2/97
 *
 * $Id: parsing.h,v 1.8 2002/09/30 16:10:51 micha Exp $
 */

#ifndef PARSING_H
#define PARSING_H

/* ---------------------------------------------------------------------- */
#include <input.h>

/* ---------------------------------------------------------------------- */

/*
 * Number of parse errors and warnings;
 * defined in parser.y
 */
extern int parseNoOfErrors;
extern int parseNoOfWarnings;

#ifndef SWIG

/*
 * Current line number in parseCurrentFile;
 * defined in scanner.l
 */
extern int parseLineNo;

/*
 * Current file name;
 * defined in scanner.l
 */
extern String parseCurrentFile;

/*
 * defined in parser.tab.c
 */
extern FILE *yyin;

/*
 * defined in parser.tab.c
 */
extern FILE *yyout;

/*
 * Result of parsing an input file;
 * defined in parser.y
 */
extern Input parseResult;

/* ---------------------------------------------------------------------- */
extern int yyparse();               /* defined in parser.tab.c */
extern void yyrestart( FILE *f );   /* defined in lex.yy.c */
extern int yylex();
extern void yyerror( char *s );
extern void yywarning( char *s );
#endif

/* ---------------------------------------------------------------------- */

#endif /* don't insert anything after this #endif */

